summaryrefslogtreecommitdiffstats
path: root/source/l/gtk+3
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/gtk+3')
-rwxr-xr-xsource/l/gtk+3/gtk+3.SlackBuild2
-rw-r--r--source/l/gtk+3/gtk.typo.fix.diff11
2 files changed, 13 insertions, 0 deletions
diff --git a/source/l/gtk+3/gtk+3.SlackBuild b/source/l/gtk+3/gtk+3.SlackBuild
index 8e9207371..9b5460922 100755
--- a/source/l/gtk+3/gtk+3.SlackBuild
+++ b/source/l/gtk+3/gtk+3.SlackBuild
@@ -77,6 +77,8 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+zcat $CWD/gtk.typo.fix.diff.gz | patch -p1 --verbose || exit 1
+
# Regenerate ./configure:
libtoolize --copy --force
autoreconf -vif
diff --git a/source/l/gtk+3/gtk.typo.fix.diff b/source/l/gtk+3/gtk.typo.fix.diff
new file mode 100644
index 000000000..b966dca50
--- /dev/null
+++ b/source/l/gtk+3/gtk.typo.fix.diff
@@ -0,0 +1,11 @@
+--- ./docs/tools/shooter.c.orig 2018-12-12 11:46:09.000000000 -0600
++++ ./docs/tools/shooter.c 2018-12-13 18:28:54.613869535 -0600
+@@ -170,7 +170,7 @@
+ y_orig = 0;
+ }
+
+- if (x_orig + width > gdk_screen_get_width (gdk_screen_get_dfeault ()))
++ if (x_orig + width > gdk_screen_get_width (gdk_screen_get_default ()))
+ width = gdk_screen_width () - x_orig;
+
+ if (y_orig + height > gdk_screen_get_height (gdk_screen_get_default ()))